javax.xml.stream.events

## Interface StartElement

- All Superinterfaces:
    XMLEvent, XMLStreamConstants

      public interface StartElement
      extends XMLEvent

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attribute` | `getAttributeByName(QName name)`
    `java.util.Iterator` | `getAttributes()`
    `QName` | `getName()`
    `NamespaceContext` | `getNamespaceContext()`
    `java.util.Iterator` | `getNamespaces()`
    `java.lang.String` | `getNamespaceURI(java.lang.String prefix)`

    - ### Methods inherited from interface javax.xml.stream.events.XMLEvent

      `asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

- - ### Method Detail

    - #### getAttributeByName

          Attribute getAttributeByName(QName name)

    - #### getAttributes

          java.util.Iterator getAttributes()

    - #### getName

          QName getName()

    - #### getNamespaceContext

          NamespaceContext getNamespaceContext()

    - #### getNamespaces

          java.util.Iterator getNamespaces()

    - #### getNamespaceURI

          java.lang.String getNamespaceURI(java.lang.String prefix)

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.